﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DropDownButtonINotifyDataErrorInfo
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			ListBox listBox = new ListBox();
			listBox.ItemsSource = GenerateList();
			listBox.ItemTemplate = Resources["ItemTemplate"] as DataTemplate;
			DropDownButton.DropDownContent = listBox;
		}

		private List<DataItem> GenerateList()
		{
			List<DataItem> result = new List<DataItem>();

			for (int i = 0; i < 5; i++)
			{
				result.Add(new DataItem() { Header = (i % 3) == 0 ? String.Empty : String.Format("Item {0}", i), Description = String.Format("Description of Item {0}", i) });
			}
			return result;
		}
	}
}
